Set authorization type

- « OAuth::getRequestToken

- OAuth::setCAPath »

- PHP Manual
- OAuth
- Set authorization type

# OAuth::setAuthType

(PECL OAuth >= 0.99.1)

OAuth::setAuthType — Set authorization type

### Description

public OAuth::setAuthType(int `$auth_type`): bool

Set where the OAuth parameters should be passed.

### Parameters

`auth_type`

  `auth_type` can be one of the following flags (in order of decreasing preference as per OAuth 1.0 section 5.2):

  `OAUTH_AUTH_TYPE_AUTHORIZATION`
    Pass the OAuth parameters in the HTTP `Authorization` header.
  `OAUTH_AUTH_TYPE_FORM`
    Append the OAuth parameters to the HTTP POST request body.
  `OAUTH_AUTH_TYPE_URI`
    Append the OAuth parameters to the request URI.
  `OAUTH_AUTH_TYPE_NONE`
    None.

### Return Values

Returns `true` if a parameter is correctly set, otherwise `false` (e.g., if an invalid `auth_type` is passed in.)

### Changelog

Version | Description
--- | ---
PECL oauth 1.0.0 | Previously returned `null` on failure, instead of `false`.